using AutoMapper;
using WingDeviceService.Common;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.User;
using WingInterfaceLibrary.LiveConsultation;
using WingInterfaceLibrary.Request.Device;

namespace WingDeviceService
{
    public class AutoMapperProfile : Profile
    {
        public AutoMapperProfile()
        {
            CreateMap<UserDTO, UserPasswordDTO>().ReverseMap();
            CreateMap<DeviceInfoDTO, CacheDeviceDTO>().ReverseMap();
            CreateMap<DeviceInfoDTO, DeviceExtendInfoDTO>().ReverseMap();
            CreateMap<DevicePrinterVersionDTO, DevicePatchVersionDTO>().ReverseMap();
            CreateMap<RemoteConnectDTO, UserRemoteConnectRequest>().ReverseMap();
            CreateMap<UserRemoteConnectRequest, RemoteConnectDTO>().ReverseMap();      
            CreateMap<DeviceRemoteConnectDTO, DeviceRemoteConnectRequest>().ReverseMap();      
            CreateMap<DeviceRemoteConnectRequest, DeviceRemoteConnectDTO>().ReverseMap();          
        }
    }
}